## How to control OpenRefine 3.3+ with cURL (and jq) in Bash scripts

tested on Fedora 32 with bash 5.0.17 and curl 7.69.1

### Quick start

1. Clone this gist

```
git clone https://gist.github.com/d76bd27fbc4b8ab6d683822cdf61f81d.git bash-refine
```

2. Execute all supplied examples for a quick demo

```
cd bash-refine
./templates.sh
```

### Build your own workflow

3. Copy minimal pre-structured script to a new file

```
cp minimal.sh myworkflow.sh
```

4. Use the templates in `templates.sh` to develop your workflow
