#!/bin/bash
# bash-refine v1.3.2: minimal.sh, Felix Lohmeier, 2020-08-01
# https://gist.github.com/felixlohmeier/d76bd27fbc4b8ab6d683822cdf61f81d
# license: MIT License https://choosealicense.com/licenses/mit/

# =============================== ENVIRONMENT ================================ #

source "${BASH_SOURCE%/*}/bash-refine.sh" || exit 1
cd "${BASH_SOURCE%/*}/" || exit 1
init

# ================================= STARTUP ================================== #

checkpoint "Startup"; echo
refine_start; echo

# ================================== IMPORT ================================== #

checkpoint "Import"; echo

#                 <-- insert snippet from templates.sh here -->

# ================================ TRANSFORM ================================= #

checkpoint "Transform"; echo

#                 <-- insert snippet from templates.sh here -->

# ================================== EXPORT ================================== #

checkpoint "Export"; echo

#                 <-- insert snippet from templates.sh here -->

# ================================== FINISH ================================== #

checkpoint "Finish"; echo
refine_stop; echo
checkpoint_stats; echo
count_output
